# SloudPLPage

Welcome to the **SloudPLPage** project! This site is made for [SloudPL](https://sloudhost.ovh/).

## Table of Contents

-   [Demo](#demo)
-   [Installation](#installation)
-   [Technologies](#technologies)
-   [Contributing](#contributing)
-   [Authors](#authors)
-   [License](#license)

## Demo

Check out the live demo [here](https://sloudhost.ovh/).

## Installation

To get a local copy up and running, follow these simple steps:

### Prerequisites

-   **Node.js**: Ensure you have Node.js installed. You can download it from [nodejs.org](https://nodejs.org/).

### Clone the repository

```sh
git clone https://github.com/LakioLive/SloudPLPage
cd SloudPLPage
```

### Install dependencies

```sh
npm install
```

### Start the development server

```sh
npm run dev
```

Open [http://localhost:5173](http://localhost:5173) to view it in the browser.

## Technologies

-   **TypeScript**: Typed superset of JavaScript that compiles to plain JavaScript.
-   **React**: JavaScript library for building user interfaces.
-   **Vite**: Next-generation frontend tooling for fast and optimized builds.
-   **TailwindCSS**: Utility-first CSS framework for rapid UI development.
-   **Sass**: CSS preprocessor that adds power and elegance to the basic language.
-   **i18next**: Internationalization framework for translating your React applications.
-   **React Icons**: Include popular icons in your React projects easily.

## Contributing

Contributions are what make the open-source community such an amazing place to learn, inspire, and create. Any contributions you make are **greatly appreciated**.

### Steps to Contribute

1. Fork the Project
2. Create your Feature Branch (`git checkout -b feature/YourFeature`)
3. Commit your Changes (`git commit -m 'Add some YourFeature'`)
4. Push to the Branch (`git push origin feature/YourFeature`)
5. Open a Pull Request

## Authors

[LakioLive](https://github.com/LakioLive)
SloudPL

## License

Distributed under the **MIT License**. See `LICENSE` for more information.
